> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1webhooksmartthings



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Device//swagger/v1/swagger.json post /api/v1/webhook/smartthings/{domain}
openapi: 3.0.0
info:
  title: NDS.Services.Device
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Device/
security: []
paths:
  /api/v1/webhook/smartthings/{domain}:
    post:
      tags:
        - Webhook
      operationId: Webhook_SmartThingsWebhook
      parameters:
        - name: domain
          in: path
          required: true
          schema:
            type: string
          x-position: 1
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SmartThingsWebhookRequest'
        required: true
        x-position: 2
      responses:
        '200':
          description: ''
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
components:
  schemas:
    SmartThingsWebhookRequest:
      type: object
      additionalProperties: false
      properties:
        Lifecycle:
          type: string
        ExecutionId:
          type: string
        AppId:
          type: string
        Locale:
          type: string
        Version:
          type: string
        ConfirmationData:
          $ref: '#/components/schemas/ConfirmationData'
        Settings: {}
        InstallData:
          $ref: '#/components/schemas/InstallData'
        ConfigurationData:
          $ref: '#/components/schemas/ConfigurationData'
        UpdateData:
          $ref: '#/components/schemas/UpdateData'
        EventData:
          $ref: '#/components/schemas/EventData'
        OAuthCallbackData:
          $ref: '#/components/schemas/OAuthCallbackData'
    ConfirmationData:
      type: object
      additionalProperties: false
      properties:
        AppId:
          type: string
        ConfirmationUrl:
          type: string
    InstallData:
      type: object
      additionalProperties: false
      properties:
        AuthToken:
          type: string
        RefreshToken:
          type: string
        InstalledApp:
          $ref: '#/components/schemas/InstalledApp'
    ConfigurationData:
      type: object
      additionalProperties: false
      properties:
        InstalledAppId:
          type: string
        Phase:
          type: string
        PageId:
          type: string
        PreviousPageId:
          type: string
        Config:
          $ref: '#/components/schemas/Config'
        initialize:
          $ref: '#/components/schemas/InitializeData'
        Sections:
          type: array
          items:
            $ref: '#/components/schemas/Section'
    UpdateData:
      type: object
      additionalProperties: false
      properties:
        AuthToken:
          type: string
        RefreshToken:
          type: string
        InstalledApp:
          $ref: '#/components/schemas/InstalledApp'
        PreviousConfig:
          $ref: '#/components/schemas/Config'
        PreviousPermissions:
          type: array
          items:
            type: string
    EventData:
      type: object
      additionalProperties: false
      properties:
        AuthToken:
          type: string
        InstalledApp:
          $ref: '#/components/schemas/InstalledApp'
        Events:
          type: array
          items:
            $ref: '#/components/schemas/Event'
    OAuthCallbackData:
      type: object
      additionalProperties: false
      properties:
        InstalledAppId:
          type: string
        UrlPath:
          type: string
    InstalledApp:
      type: object
      additionalProperties: false
      properties:
        InstalledAppId:
          type: string
        LocationId:
          type: string
        Config:
          $ref: '#/components/schemas/Config'
        Permissions:
          type: array
          items:
            type: string
    Config:
      type: object
      additionalProperties: false
      properties:
        ContactSensor:
          type: array
          items:
            $ref: '#/components/schemas/ContactSensor'
        LightSwitch:
          type: array
          items:
            $ref: '#/components/schemas/LightSwitch'
        Minutes:
          type: array
          items:
            $ref: '#/components/schemas/Minutes'
    InitializeData:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
        description:
          type: string
        id:
          type: string
        permissions:
          type: array
          items:
            type: string
        firstPageId:
          type: string
    Section:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
        Settings:
          type: array
          items:
            $ref: '#/components/schemas/Setting'
    Event:
      type: object
      additionalProperties: false
      properties:
        EventType:
          type: string
        DeviceEvent:
          $ref: '#/components/schemas/DeviceEvent'
    ContactSensor:
      type: object
      additionalProperties: false
      properties:
        ValueType:
          type: string
        DeviceConfig:
          $ref: '#/components/schemas/DeviceConfig'
    LightSwitch:
      type: object
      additionalProperties: false
      properties:
        ValueType:
          type: string
        DeviceConfig:
          $ref: '#/components/schemas/DeviceConfig'
    Minutes:
      type: object
      additionalProperties: false
      properties:
        ValueType:
          type: string
        StringConfig:
          $ref: '#/components/schemas/StringConfig'
    Setting:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
        Name:
          type: string
        Description:
          type: string
        Type:
          type: string
        Required:
          type: boolean
        Multiple:
          type: boolean
        Capabilities:
          type: array
          items:
            type: string
        Permissions:
          type: array
          items:
            type: string
    DeviceEvent:
      type: object
      additionalProperties: false
      properties:
        SubscriptionName:
          type: string
        EventId:
          type: string
        LocationId:
          type: string
        DeviceId:
          type: string
        ComponentId:
          type: string
        Capability:
          type: string
        Attribute:
          type: string
        Value:
          type: string
        StateChange:
          type: boolean
    DeviceConfig:
      type: object
      additionalProperties: false
      properties:
        DeviceId:
          type: string
        ComponentId:
          type: string
    StringConfig:
      type: object
      additionalProperties: false
      properties:
        Value:
          type: string

````